import {Component} from "@angular/core";
import {TitleService} from "@synerty/peek-util";
import {Ng2BalloonMsgService} from "@synerty/ng2-balloon-msg";

import {ComponentLifecycleEventEmitter} from "@synerty/vortexjs";

import {
    DeviceNavService,
    EnrolDeviceAction,
    HardwareInfo
} from "@peek/peek_core_device/_private";
import {DeviceEnrolmentService} from "@peek/peek_core_device";


@Component({
    selector: 'core-device-enrolling',
    templateUrl: 'enrolling.component.web.html',
    moduleId: module.id
})
export class EnrollingComponent extends ComponentLifecycleEventEmitter {
    data: EnrolDeviceAction = new EnrolDeviceAction();
    private hardwareInfo: HardwareInfo;

    constructor(private balloonMsg: Ng2BalloonMsgService,
                private titleService: TitleService,
                private nav: DeviceNavService,
                private enrolmentService: DeviceEnrolmentService) {
        super();
        this.titleService.setEnabled(false);
        this.titleService.setTitle('');

        // Make sure we're not on this page when things are fine.
        this.doCheckEvent
            .takeUntil(this.onDestroyEvent)
            .subscribe(() => {
                if (this.enrolmentService.isEnrolled()) {
                    this.titleService.setEnabled(false);
                    this.nav.toHome();
                } else if (!this.enrolmentService.isSetup()) {
                    this.nav.toEnroll();
                }
            });

    }


}